# SPDX-FileCopyrightText: 2024 fortiss GmbH
# SPDX-License-Identifier: Apache-2.0
# SPDX-FileContributor: Hongyu Zhu, fortiss

apiVersion: apps/v1
kind: Deployment
metadata:
  name: turtlebot-bringup
spec:
  replicas: 1  
  selector:
    matchLabels:
      app: turtlebot-bringup
  template:
    metadata:
      labels:
        app: turtlebot-bringup
    spec:
      hostNetwork: true
      hostPID: true
      affinity:  
        nodeAffinity:
          requiredDuringSchedulingIgnoredDuringExecution:
            nodeSelectorTerms:
            - matchExpressions:
              - key: kubernetes.io/hostname
                operator: In
                values:
                - turtlebot1  
                - turtlebot2
      containers:
      - image: hecodeco/uc-p5-turtlebot:v1.0
        imagePullPolicy: IfNotPresent
        tty: true
        name: turtlebot-bringup
        securityContext:
          privileged: true
        volumeMounts:
        - mountPath: /dev/ttyACM0
          name: ttyacm
        - mountPath: /dev/ttyUSB0
          name: ttyusb
      volumes:
      - name: ttyacm
        hostPath:
          path: /dev/ttyACM0
      - name: ttyusb
        hostPath:
          path: /dev/ttyUSB0
      restartPolicy: Always

---

apiVersion: apps/v1
kind: Deployment
metadata:
  name: pc-slam
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pc-slam
  template:
    metadata:
      labels:
        app: pc-slam
    spec:
      hostNetwork: true
      hostPID: true
      containers:
      - image: hecodeco/uc-p5-slam:v1.0
        imagePullPolicy: IfNotPresent
        tty: true
        stdin: true
        name: pc-slam
        securityContext:
          privileged: true
      #   env:
      #   - name: DISPLAY  
      #     value: ":0"
      #   volumeMounts:
      #   - name: x11-socket  
      #     mountPath: /tmp/.X11-unix
      # volumes:
      # - name: x11-socket  
      #   hostPath:
      #     path: /tmp/.X11-unix
      nodeSelector:
        nodetype: master  
      restartPolicy: Always